Services requests

REST API requests to list or modify Redis Software services.

Redis Software
Method Path Description
GET /v1/local/services List Redis Software services on the local node
POST /v1/local/services Modify or perform operations on local processes
POST /v1/services Modify or perform operations on primary node processes
Warning:

This API is dangerous and should only be run with guidance from Redis support.

Stop, start, or restart optional services only. Changing the status of required services can negatively affect cluster behavior and cause a complete loss of the cluster and its data.

For a list of optional services, see the services configuration object reference or use a GET /v1/cluster/services_configuration request.

Get local services

GET /v1/local/services

Lists all Redis Software services currently running on the local node and relevant metadata.

Request

Example HTTP request

GET /v1/local/services

Headers

Key Value Description
Host cnm.cluster.fqdn Domain name
Accept application/json Accepted media type

Response

Returns a JSON object that describes all Redis Software services currently running on the local node and relevant metadata.

Possible status values:

  • RESTARTING
  • RUNNING
  • STARTING
  • STOPPED

Example JSON response body

{
    "alert_mgr": {
        "start_time": "2024-05-13T18:38:00Z",
        "status": "RUNNING",
        "uptime": "3 days, 0:58:59"
    },
    "ccs": {
        "start_time": "2024-05-13T18:38:59Z",
        "status": "RUNNING",
        "uptime": "3 days, 0:58:00"
    },
    ...
}

Status codes

Code Description
200 OK No error

Modify local services

POST /v1/local/services

Modify Redis Software services or perform operations that directly interact with processes on the local node. To perform operations on the primary node, use POST /v1/services instead.

Supported operation_type values:

  • stop
  • start
  • restart
Warning:

This API is dangerous and should only be run with guidance from Redis support.

Stop, start, or restart optional services only. Changing the status of required services can negatively affect cluster behavior and cause a complete loss of the cluster and its data.

For a list of optional services, see the services configuration object reference or use a GET /v1/cluster/services_configuration request.

Request

Example HTTP request

POST /v1/local/services

Headers

Key Value Description
Host cnm.cluster.fqdn Domain name
Accept application/json Accepted media type

Example JSON request body

{
  "operation_type": "restart",
  "services": [
    "alert_mgr"
  ]
}

Response

Returns a JSON object that shows whether the operation ran successfully or failed for each requested service.

Example JSON response body

{
    "alert_mgr": true,
    "metrics_exporter": true
}

Status codes

Code Description
200 OK No error.

Modify primary node services

POST /v1/services

Modify Redis Software services or perform operations that directly interact with processes on the primary node. For operations on secondary nodes, use POST /v1/local/services instead.

Supported operation_type values:

  • stop
  • start
  • restart
Warning:

This API is dangerous and should only be run with guidance from Redis support.

Stop, start, or restart optional services only. Changing the status of required services can negatively affect cluster behavior and cause a complete loss of the cluster and its data.

For a list of optional services, see the services configuration object reference or use a GET /v1/cluster/services_configuration request.

Request

Example HTTP request

POST /v1/services

Headers

Key Value Description
Host cnm.cluster.fqdn Domain name
Accept application/json Accepted media type

Example JSON request body

{
  "operation_type": "restart",
  "services": [
    "alert_mgr"
  ]
}

Response

Returns a JSON object that shows whether the operation ran successfully or failed for each requested service.

Example JSON response body

{
    "alert_mgr": true,
    "metrics_exporter": true
}

Status codes

Code Description
200 OK No error.
RATE THIS PAGE
Back to top ↑